/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.asoftware.letsmeet.backing;

import cz.asoftware.letsmeet.beans.MeetingBeanLocal;
import cz.asoftware.letsmeet.entity.Event;
import cz.asoftware.letsmeet.entity.Participant;
import javax.ejb.EJB;
import javax.faces.context.FacesContext;

/**
 *
 * @author aubrech
 */
public class CrudBacking {
    @EJB
    MeetingBeanLocal meetingBean;

    private String newUser = "";
    private String newEvent = "";

    public String addUser() {
        Participant p = new Participant();
        p.setParticipantName(newUser);
        meetingBean.persist(p);
        newUser = "";
        FacesContext cont = FacesContext.getCurrentInstance();
        Events evt = (Events)(cont.getApplication().getExpressionFactory().createValueExpression(
                cont.getELContext(), "#{events}", Events.class).getValue(cont.getELContext()));
        evt.clearUsers();
        return null;
    }

    public String addEvent() {
        Event e = new Event();
        e.setEventName(newEvent);
        meetingBean.persist(e);
        newEvent = "";
        FacesContext cont = FacesContext.getCurrentInstance();
        Events evt = (Events)(cont.getApplication().getExpressionFactory().createValueExpression(
                cont.getELContext(), "#{events}", Events.class).getValue(cont.getELContext()));
        evt.clearEvents();
        return null;
    }

    /**
     * @return the newUser
     */
    public String getNewUser() {
        return newUser;
    }

    /**
     * @param newUser the newUser to set
     */
    public void setNewUser(String newUser) {
        this.newUser = newUser;
    }

    /**
     * @return the newEvent
     */
    public String getNewEvent() {
        return newEvent;
    }

    /**
     * @param newEvent the newEvent to set
     */
    public void setNewEvent(String newEvent) {
        this.newEvent = newEvent;
    }
}
