/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.asoftware.letsmeet.model;

import cz.asoftware.letsmeet.entity.Assignment;
import cz.asoftware.letsmeet.entity.EventOption;
import cz.asoftware.letsmeet.entity.Participant;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @author aubrech
 */
public class ParticipantSelections {
    private Participant participant;
    private Map<String, Assignment> assignments = new HashMap<String, Assignment>();
    private Map<String, EventOption> options = new HashMap<String, EventOption>();
    private Map<String, String> comments = new HashMap<String, String>();

    /**
     * @return the participant
     */
    public Participant getParticipant() {
        return participant;
    }

    public List<String> getOptionsList() {
        return Arrays.asList(options.keySet().toArray(new String[0]));
    }

    /**
     * @param participant the participant to set
     */
    public void setParticipant(Participant participant) {
        this.participant = participant;
    }

    /**
     * @return the options
     */
    public Map<String, EventOption> getOptions() {
        return options;
    }

    /**
     * @return the comments
     */
    public Map<String, String> getComments() {
        return comments;
    }

    /**
     * @return the assignments
     */
    public Map<String, Assignment> getAssignments() {
        return assignments;
    }

    /**
     * @param assignments the assignments to set
     */
    public void setAssignments(Map<String, Assignment> assignments) {
        this.assignments = assignments;
    }

    public void addAssignment(Assignment as) {
        options.put(as.getAsgOption().getOptionId().toString(), as.getAsgOption());
        comments.put(as.getAsgOption().getOptionId().toString(), as.getAsgComment());
        assignments.put(as.getAsgOption().getOptionId().toString(), as);
    }
}
