<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<%--
    This file is an entry point for JavaServer Faces application.
--%>
<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Events</title>
        </head>
        <body>
            <h:form>
                <h:commandLink value="Refresh" action="events.refreshList" /> (TODO: finish)
                
                <h1><h:outputText value="Users"/></h1>
                Selected user: 
                <h:outputText value="#{events.selectedParticipant.participantName}" style="font-weight: bold;"/><br />
                Choose user:<br />
                <h:dataTable value="#{events.allParticipants}" var="item">
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="Name"/>
                        </f:facet>
                        <h:commandLink value=" #{item.participantName}" action="#{events.selectParticipant}"
                                       rendered="#{item.participantName != events.selectedParticipant.participantName}"/>
                        <h:outputText value=" #{item.participantName}"
                                      rendered="#{item.participantName == events.selectedParticipant.participantName}"/>

                    </h:column>
                </h:dataTable>
            </h:form>

            <h:form>
                <h1>Events</h1>
                <h:dataTable value="#{events.allEvents}" var="item" rendered="#{events.selectedParticipant != null}">
                    <h:column>
                        <%-- f:facet name="header">
                            <h:outputText value="Name"/>
                        </f:facet --%>
                        <h:outputText value="Go to "/>
                        <h:commandLink action="#{events.goToEvent}" value="#{item.eventName}" />
                    </h:column>
                </h:dataTable>
                <h:outputText value="Select participant first!" rendered="#{events.selectedParticipant == null}" />
            </h:form>

            <h:form>
                <h1>Config</h1>
                <p>User: <h:inputText value="#{crud.newUser}"/> <h:commandButton value="Add User" action="#{crud.addUser}"/></p>
                <p>Event: <h:inputText value="#{crud.newEvent}"/> <h:commandButton value="Add Event" action="#{crud.addEvent}"/></p>
            </h:form>
        </body>
    </html>
</f:view>
