<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">
<f:view>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
            <title>Event</title>
        </head>
        <body>
            <h:form>
                <h:commandLink value="<-- back to list" action="list" immediate="true" />

                <h1><h:outputText value="#{events.selectedEvent.eventName}"/></h1>
                <%-- c:forEach var="option" items="#{events.selectedEvent.eventOptionCollection}">
                    <h:outputText value="#{option.optionName}" />
                </c:forEach --%>
                <p><h:outputText value="#{events.selectedEvent.eventComment}" /></p>

                <h2>Your Choose &ndash; <h:outputText value="#{events.selectedParticipant.participantName}"/></h2>

                <h:dataTable value="#{events.optionsStrings}" var="selection">
                    <%-- h:dataTable value="#{events.selectedParticipantSelectionOptionsList}" var="selection" --%>
                    <h:column>
                        <f:facet name="header">
                            <h:outputText value="My Options"/>
                        </f:facet>
                        <h:outputText value="#{events.selectedParticipantSelections.options[selection].optionName}" />
                        <h:outputText value=": " />
                        <h:inputText value="#{events.selectedParticipantSelections.comments[selection]}" />
                    </h:column>
                </h:dataTable>

                <h:commandButton value="Submit" action="#{events.saveAssign}" >

                </h:commandButton>

                <h2>Others' Choose</h2>
                <h:panelGroup binding="#{events.eventDetailTablePanel}" />
            </h:form>

            <h2>Config</h2>
            <h:form>
                <p><h:inputText value="#{events.newOption}" /><h:commandButton value="Add option" action="#{events.addOption}" /> (TODO: refresh!)</p>
            </h:form>
        </body>
    </html>
</f:view>
